package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WeatherForecast对象 weather_forecast
 *
 * @author hlf
 * @date 2022-09-21
 */
public class WeatherForecast extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long terminalNumber;

    private Date dataTime;

    private String content;

    private String type;

    private String terminalName;

    public Long getTerminalNumber() {
        return terminalNumber;
    }

    public void setTerminalNumber(Long terminalNumber) {
        this.terminalNumber = terminalNumber;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTerminalName() {
        return terminalName;
    }

    public void setTerminalName(String terminalName) {
        this.terminalName = terminalName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("terminalNumber", getTerminalNumber())
                .append("dataTime", getDataTime())
                .append("content", getContent())
                .toString();
    }
}
